"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const MessageFactory_1 = __importDefault(require("./MessageFactory"));
const plugin = () => {
    return {
        postcssPlugin: 'postcss-console',
        Root(root) {
            root.walkAtRules(/console\w*/, (atRule) => {
                const message = MessageFactory_1.default.getMessage(atRule);
                console.log(message.getFileName());
                try {
                    console.log(message.output(atRule.params));
                    atRule.remove();
                }
                catch (error) {
                    throw atRule.error(error);
                }
            });
        },
    };
};
plugin.postcss = true;
exports.default = plugin;
